<mat-stepper [linear]="isLinear" #stepper (selectionChange)="selectionChange($event)">
    <mat-step [stepControl]="firstFormGroup" [completed]="FormGroupBusqueda.valid" label="Ubique su domicilio">
        <form [formGroup]="FormGroupBusqueda">
            <mat-drawer-container class="example-container" autosize>
                <mat-drawer id="drawer" #drawer position="end" mode="side">
                    <div class="d-flex flex-column px-3">
                        <div class="d-flex justify-content-end">
                            <button (click)="drawer.toggle()" mat-icon-button>
                            <mat-icon>arrow_forward</mat-icon>
                        </button>
                        </div>
                        <div class="my-2">
                            <b>Buscar</b>
                        </div>
                        <mat-form-field class="w-100" appearance="fill">
                            <mat-label>Distrito</mat-label>
                            <input formControlName="busdm" matInput />
                        </mat-form-field>
                        <mat-form-field class="w-100" appearance="fill">
                            <mat-label>UV</mat-label>
                            <input formControlName="busuv" matInput />
                        </mat-form-field>
                        <mat-form-field class="w-100" appearance="fill">
                            <mat-label>Manzana</mat-label>
                            <input formControlName="busmz" matInput />
                        </mat-form-field>
                        <mat-form-field class="w-100" appearance="fill">
                            <mat-label>Lote</mat-label>
                            <input formControlName="buslt" matInput />
                        </mat-form-field>
                        <div class="d-flex justify-content-between">
                            <button mat-button class="boton-buscar" (click)="buscarGeografico()">Buscar</button>
                            <button mat-button class="boton-limpiar" (click)="limpiarGeografico()">Limpiar</button>
                        </div>
                    </div>
                    <div class="d-flex flex-column px-3">
                        <div class="my-2">
                            <b>Buscar por coordenadas</b>
                        </div>
                        <mat-form-field class="w-100" appearance="fill">
                            <mat-label>X</mat-label>
                            <input formControlName="busx" matInput />
                        </mat-form-field>
                        <mat-form-field class="w-100" appearance="fill">
                            <mat-label>Y</mat-label>
                            <input formControlName="busy" matInput />
                        </mat-form-field>
                        <div class="d-flex justify-content-between">
                            <button mat-button class="boton-buscar" (click)="buscarCoordenada()">Buscar</button>
                            <button mat-button class="boton-limpiar" (click)="limpiarCoordenada()">Limpiar</button>
                        </div>
                    </div>
                </mat-drawer>



                <!--<div class="col-md-12 mt-4">-->
                <div id="map" name="map" style="height: 450px" leaflet (leafletMapReady)="onMapReady($event)" (leafletClick)="agregarMarcadorCalle($event)" [leafletOptions]="options"></div>

                <div class="rounded border border-2 w-100 p-4 mt-4">

                    <div class="d-flex flex-wrap mt-4">
                        <div class="col-md-6 px-2">

                            <div class="row justify-content-center">
                                <div class="col-md-6">
                                    <div class="row justify-content-center">
                                        <div class="col">
                                            <span fxFlex style=" display:flex; justify-content: center; align-items: center;">UBICACIÓN SELECCIONADA:</span>
                                        </div>
                                    </div>
                                </div>
                            </div>

                        </div>
                        <div class="col-md-6 px-2">
                            <div class="row justify-content-center">
                                <div class="col-md-6">
                                    <div class="row justify-content-center">
                                        <div class="col">

                                            <div id="map_export" name="map_export" style="height: 200px; width:200px;" leaflet (leafletMapReady)="onMapReady1($event)" [leafletOptions]="options1"></div>
                                        </div>
                                    </div>
                                </div>
                            </div>

                        </div>
                    </div>
                </div>


                <!--</div>-->
            </mat-drawer-container>
            <button (click)="drawer.toggle()" id="sidebar" class="d-none"></button>
            <div>
                <br />
                <div class="d-flex justify-content-end">
                    <button mat-button (click)="irSiguienteMapa($event)">Siguiente</button>
                </div>
            </div>
            <mat-form-field class="invisible">
                <input matInput formControlName="firstCtrl" required>
            </mat-form-field>
        </form>
        <!--</form>-->
    </mat-step>
    <mat-step [stepControl]="secondFormGroup" [completed]="miFormulario_Construccion.valid" label="Actividad a desarrollar">
        <div class="rounded border border-2 w-100 p-4 mt-4">


            <form [formGroup]="miFormulario_Construccion">



                <div class="row mt-4 justify-content-center">
                    <div class="col-md-6">
                        <div class="row justify-content-center">
                            <div class="col">
                                <mat-form-field class="w-100" appearance="fill">
                                    <mat-label>Clasificación</mat-label>
                                    <mat-select class="form-control" formControlName="clasificacion">
                                        <mat-option value="">-- Seleccione Clasificación --</mat-option>
                                        <mat-option *ngFor="let clasificacion of clasificaciones" [value]="clasificacion.idclasificacion"> {{clasificacion.nombre}}</mat-option>
                                    </mat-select>
                                </mat-form-field>
                            </div>
                        </div>
                    </div>
                </div>

                <div class="row justify-content-center">
                    <div class="col-md-6">
                        <div class="row justify-content-center">
                            <div class="col">
                                <mat-form-field class="w-100" appearance="fill">
                                    <mat-label>Subcategorías</mat-label>
                                    <mat-select class="form-control" formControlName="subcategoria">
                                        <mat-option value="">-- Seleccione Sub-categoría --</mat-option>
                                        <mat-option *ngFor="let subcategoria of subcategorias" [value]="subcategoria.idsubcategoria"> {{subcategoria.nombre}}</mat-option>
                                    </mat-select>
                                </mat-form-field>
                            </div>
                        </div>
                    </div>
                </div>
                <!--Actividades-->
                <div class="row justify-content-center">
                    <div class="col-md-6">
                        <mat-form-field class="w-100" appearance="fill">
                            <mat-label>Actividades</mat-label>
                            <mat-select class="form-control" formControlName="actividad">
                                <mat-option value="">-- Seleccione Actividad --</mat-option>
                                <mat-option *ngFor="let actividad of actividades" [value]="actividad.idactividad"> {{actividad.nombre}}</mat-option>
                            </mat-select>
                        </mat-form-field>
                    </div>
                </div>




                <div class="row" *ngIf="cargando">
                    <div class="col">
                        <div class="alert alert-primary">
                            Cargando....
                        </div>
                    </div>
                </div>



                <div class="d-flex justify-content-between mt-4 col-md-12">
                    <button mat-button matStepperPrevious>Anterior</button>
                    <button mat-button matStepperNext>Siguiente</button>
                </div>
            </form>

            <!--<div id="map-export" name="map-export" leaflet style="height: 200px"></div>-->
        </div>
    </mat-step>
    <mat-step [stepControl]="secondFormGroup" [completed]="miFormulario_Catastro.valid" label="Datos de Catastro">


        <div class="rounded border border-2 w-100 p-4 mt-4">
            <form [formGroup]="miFormulario_Catastro">
                <!--<mat-form-field appearance="fill">
                <mat-label>Address</mat-label>
                <input matInput formControlName="secondCtrl" placeholder="Ex. 1 Main St, New York, NY" required>
                </mat-form-field>-->

                <div class="d-flex flex-wrap mt-4">
                    <div class="col-md-6 px-2">
                        <mat-form-field class="w-100" appearance="fill">
                            <mat-label>Superficie según título</mat-label>
                            <input matInput formControlName="superficietitulo" value="300" />
                        </mat-form-field>
                    </div>
                    <div class="col-md-6 px-2">
                        <mat-form-field class="w-100" appearance="fill">
                            <mat-label>Superficie según mensura</mat-label>
                            <input matInput formControlName="superficiemensura" />
                        </mat-form-field>
                    </div>
                    <div class="col-md-6 px-2">
                        <mat-form-field class="w-100" appearance="fill">
                            <mat-label>Zona</mat-label>
                            <input formControlName="zona" matInput />
                        </mat-form-field>
                    </div>
                    <div class="col-md-6 px-2">
                        <mat-form-field class="w-100" appearance="fill">
                            <mat-label>Distrito</mat-label>
                            <input formControlName="distrito" matInput />
                        </mat-form-field>
                    </div>
                    <div class="col-md-6 px-2">
                        <mat-form-field class="w-100" appearance="fill">
                            <mat-label>Manzana</mat-label>
                            <input formControlName="manzana" matInput />
                        </mat-form-field>
                    </div>
                    <div class="col-md-6 px-2">
                        <mat-form-field class="w-100" appearance="fill">
                            <mat-label>Lote</mat-label>
                            <input formControlName="lote" matInput />
                        </mat-form-field>
                    </div>
                    <div class="col-md-6 px-2">
                        <mat-form-field class="w-100" appearance="fill">
                            <mat-label>Tipo de uso de suelo</mat-label>
                            <input formControlName="tipousosuelo" matInput />
                        </mat-form-field>
                    </div>
                    <div class="col-md-6 px-2">
                        <div>
                            <b> Características de ubicación del lote: </b>
                        </div>
                        <div class="d-flex w-100 justify-content-between">
                            <mat-radio-group class="w-100 d-flex justify-content-between" aria-label="Select an option">
                                <mat-radio-button (change)="buscarRegla($event)" value="1" id="radioMediaCalle">A mitad de calle</mat-radio-button>
                                <mat-radio-button (change)="buscarRegla($event)" value="2" id="radioEsquina">En esquina</mat-radio-button>
                                <mat-radio-button (change)="buscarRegla($event)" value="3" id="radioDosCalles">A 2 calles</mat-radio-button>
                            </mat-radio-group>
                        </div>
                    </div>
                </div>

                <!-- <table>
          <tr>
            <th scope="col">Superficie según título:</th>
            <th>
              <input
                type="text"
                class="form-control"
                formControlName="superficietitulo"
              />
            </th>
            <th scope="col">Superficie según mensura:</th>
            <th>
              <input
                type="text"
                class="form-control"
                formControlName="superficiemensura"
              />
            </th>
          </tr>
          <br />
          <tr>
            <th scope="col">Zona:</th>
            <th>
              <input type="text" class="form-control" formControlName="zona" />
            </th>
            <th scope="col">Distrito:</th>
            <th>
              <input
                type="text"
                class="form-control"
                formControlName="distrito"
              />
            </th>
          </tr>
          <br />

          <tr>
            <th scope="col">Manzana:</th>
            <th>
              <input
                type="text"
                class="form-control"
                formControlName="manzana"
              />
            </th>
            <th scope="col">Lote:</th>
            <th>
              <input type="text" class="form-control" formControlName="lote" />
            </th>
          </tr>
          <br />
          <tr>
            <th scope="col">Tipo de uso de suelo:</th>
            <th>
              <input
                type="text"
                class="form-control"
                formControlName="tipousosuelo"
              />
            </th>
            <th scope="col">Características de ubicación del lote:</th>
            <th>
              <div class="col">
                <div class="col-sm-9">
                  <div class="form-check">
                    <input
                      class="form-check-input"
                      type="radio"
                      value="1"
                      formControlName="ubicacionlote"
                      id="radioMediaCalle"
                    />

                    <label class="form-check-label" for="radioMediaCalle">
                      A mitad de calle
                    </label>
                  </div>

                  <div class="form-check">
                    <input
                      class="form-check-input"
                      type="radio"
                      value="2"
                      formControlName="ubicacionlote"
                      id="radioEsquina"
                    />
                    <label class="form-check-label" for="radioEsquina"
                      >En esquina</label
                    >
                  </div>

                  <div class="form-check">
                    <input
                      class="form-check-input"
                      type="radio"
                      value="3"
                      formControlName="ubicacionlote"
                      id="radioDosCalles"
                    />
                    <label class="form-check-label" for="radioDosCalles"
                      >A 2 calles</label
                    >
                  </div>
                </div>
              </div>
            </th>
          </tr>
        </table> -->
                <div class="w-100 d-flex justify-content-between mt-4">
                    <button mat-button matStepperPrevious>Anterior</button>
                    <button mat-button (click)="irSiguiente($event)">Siguiente</button>
                    <!--matStepperNext-->
                </div>
            </form>
        </div>
    </mat-step>
    <mat-step label="Ubique su domicilio">

        <!--<ng-template matStepLabel>
            <p (click)="irSiguiente($event)">Pago del trámite</p>
        </ng-template>-->

        <div class=" d-flex justify-content-center w-100 ">
            <div class="d-flex align-items-center w-75 flex-column justify-content-center ">
                <div class="w-40 more-rounded verde ">
                    <div class="w-100 d-flex justify-content-center align-items-center flex-column p-5 ">
                        <div class="my-3 pb-3 text-xl "><img class="w-100 " src="./assets/QR/lgamscr.png " alt=" " /></div>
                        <img class="mx-auto d-block" src="{{'data:image/png;base64,'+base64}}" width="250" height="250">
                    </div>
                    <div class="w-100 py-5 px-3 text-center font-bold azul-front gris text-xl ">
                        Escanea. Paga. Y listo.
                    </div>
                    <div class="col text-center">
                        <button class="btn btn-primary center-block" (click)="Pagar()"> Pagar </button>
                    </div>
                </div>
                <div class="w-50 gris ">&nbsp;</div>
            </div>
        </div>

        <!-- <div class="card-header ">
        <div class="card border-white text-white bg-white "></div>
        <img
          class="mx-auto d-block "
          src="./assets/QR/qr_img.png "
          width="300 "
          height="400 "
          alt="Card image cap "
        />
        <div class="card-body "></div> -->
        <!--<div class="card-footer ">
                    <div class="container-fluid h-100 ">
                        <div class="row w-100 ">
                            <div class="col text-center ">
                                <button class="btn btn-primary center-block "> Pagar </button>
                            </div>
                        </div>

                    </div>
                </div>-->
        <!-- </div> -->


        <!-- <p>
            Id QR: {{ idqr }}
        </p>
        <div class="form-group">
            <button (click)="ConsultarQR()" class="btn btn-dark">Consultar QR</button>
        </div>
        <p>
            Estado del QR: {{ estadoqr.value }}
        </p>
        <br><br>
        -->

        <div class="d-flex justify-content-between mt-4 ">
            <button mat-button matStepperPrevious>Anterior</button>
            <button mat-button (click)="reset()">Reiniciar</button>

            <!--stepper.reset()-->
        </div>
    </mat-step>
</mat-stepper>





<!--<h3>Formulario</h3>
<pre>Valid:{{miFormulario_Construccion.valid}}</pre>
<pre>{{ miFormulario_Construccion.value | json}}</pre>

<pre>{{ FormGroupBusqueda.valid | json}}</pre>
<pre>{{ miFormulario_Catastro.valid | json}}</pre>
-->